#include <BME280I2C.h>
#include <EnvironmentCalculations.h>
#include <Wire.h> 
#include <LiquidCrystal.h>
LiquidCrystal lcd(2, 3, 4, 5, 6, 7); // obiekt "lcd"
BME280I2C czujnik;    // wartości domyślne obiektu "czujnik"
float tmp, wilg, cis; // tworzymy zmienne globalne typu float

void setup() {  //incjalizujemy obiekty:
  lcd.begin(16, 2); Wire.begin(); czujnik.begin();  }

void loop() { //w petli co około 1 sekundę odczytujemy:
  tmp = czujnik.temp(0);
  wilg = czujnik.hum();
  // oraz obliczamy temperaturę punktu rosy i wilgotność absolutną:
  float dewPoint = EnvironmentCalculations::DewPoint(tmp, wilg, 0); // w °Celsjusza
  float aH = EnvironmentCalculations::AbsoluteHumidity (tmp, wilg, 0);
  lcd.clear();
  lcd.print("Punkt rosy:"); lcd.print(dewPoint, 1); lcd.write(223); lcd.print('C');
  lcd.setCursor(0, 1); //w dolnej linii:
  lcd.print("AH:"); lcd.print(aH, 1);   lcd.print("g/m3");
  delay(1000);     }
